| Bsoft 2.0.5 Bernard's software package

Functions
rwmol_text.h File Reference

Read and write molecules in plain text. More...

Go to the source code of this file.

## Functions
int | read_mol_text (Bstring &filename, Bmolgroup *molgroup)
| Reads a molecule group from a text file. More...
int | write_mol_text (Bstring &filename, Bmolgroup *molgroup)
| Writes a molecule group to a text file. More...

## Detailed Description

Read and write molecules in plain text.

Author
  Bernard Heymann

Date
  Created: 20050419
  Modified: 20050419

Definition in file rwmol_text.h.

## Function Documentation

## ◆ read_mol_text()

int read_mol_text | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads a molecule group from a text file.

Parameters

  &filename | the file name.
  *molgroup | the molecule group.

Returns
  int number of molecules read (<0 if reading failed).

Definition at line 22 of file rwmol_text.cpp.

## ◆ write_mol_text()

int write_mol_text | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes a molecule group to a text file.

Parameters

  &filename | the file name.
  *molgroup | the molecule group.

Returns
  int number of molecules written (<0 if writing failed).

Definition at line 75 of file rwmol_text.cpp.